{% extends 'basepartials/base.html' %}
{% load static %}
{% block title %}Actividades{% endblock %}
{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/select/1.2.7/css/select.bootstrap4.min.css">
<link href="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/css/bootstrap-editable.css"
      rel="stylesheet"/>
{% endblock %}
{% block content %}
<div class="container container-full">
    <div class="card" style="padding: 0;" id="panel-table-activity">
        <div class="row">
        <div class="col-sm-12" style="position: relative; top: 0; ">
            {% if messages %}
                {% include 'basepartials/_messages.html' %}
            {% endif %}
        </div>
    </div>
        <div class="card-body" style="margin: 0;">
            <div class="row">
                <div class="col-md-3">
                    <h2>Actividades</h2>
                </div>
                <div class="col-md-9" style="text-align: right">
                    <div id="buttons-op">
                        <a style="padding: 2px;" href="{% url 'sale_opportunity:activity-create' sale_opportunity.id %}"
                           type="button"
                           class="btn btn-default btn-lg btn-light"
                           data-toggle="tooltip" title="Agregar Actividad">
                            <img style="width: 30px;height: 32px;" class="img-light"
                                 src="{% static 'img/add_opportunity.png' %}"
                                 alt="">
                        </a>
                        <a id="editar-activity" style="padding: 2px;" href="#" type="button"
                           class="btn btn-default btn-lg btn-light has-select"
                           data-toggle="tooltip" title="Editar Actividad">
                            <img style="width: 30px;height: 32px;" class="img-light"
                                 src="{% static 'img/edit_opportunity.png' %}" alt="">
                        </a>
                        <a id="confirmar-remover-activity"
                           style="padding: 2px;" type="button"
                           class="btn btn-default btn-lg btn-light has-select"
                           title="Eliminar Actividad"
                           data-toggle="modal"
                           data-target="#modalActivityDelete">
                            <img style="width: 30px;height: 32px;" class="img-light"
                                 src="{% static 'img/delete_opportunity.png' %}" alt="">
                        </a>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div>
                        <table id="activities" class="table table-striped table-bordered">
                            <thead>
                            <tr style="background-color: #337ab7;color: white;">
                                <th></th>
                                <th>Descripción</th>
                                <th>Fecha de Inicio</th>
                                <th>Fecha de Vencimiento</th>
                                <th>Tipo</th>
                                <th>Resultado</th>
                                <th hidden="True">Alerta</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for activity in activities %}
                            <tr id="{{ activity.id }}">
                                <td></td>
                                <td title="{{ activity.description }}">{{ activity.description }}</td>
                                <td title="{{ activity.start_date }}">{{ activity.start_date }}</td>
                                <td title="{{ activity.end_date }}">{{ activity.end_date }}</td>
                                <td title="{{ activity.type }}">{{ activity.type }}</td>
                                <td title="{{ activity.result.name }}">{{ activity.result.name }}</td>
                                <td title="{{ activity.alert }}" hidden="True">{{ activity.alert }}</td>
                            </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <input type="hidden" id="exp_ids" value="-1"/>
</div>
<div class="modal fade" id="modalActivityDelete">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Eliminar Actividad</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                ¿ Está seguro de eliminar la actividad ?
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button"
                        class="btn btn-danger"
                        data-dismiss="modal">
                    Cancelar
                </button>
                <button id="btnRemoverConfirmacionActivity"
                        type="button"
                        class="btn btn-default"
                        data-dismiss="modal">
                    Eliminar
                </button>
                <form id="remover-activity" style="display: inline"
                      action=""
                      method="post">{% csrf_token %}
                </form>
            </div>

        </div>
    </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/select/1.2.7/js/dataTables.select.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/js/bootstrap-editable.min.js"></script>

<script>
    window.urls = {
        removeActivity: "{% url 'sale_opportunity:activity-remove' 999 %}",
        editActivity: "{% url 'sale_opportunity:activity-update' 999 %}",
    }
</script>
<script src="{% static 'js/activity_list.js' %}"></script>

{% endblock %}